Autor Tópico: Problemas ScriptCase Versão 7.10 e PHP 5.4  (Lida 2371 vezes)

Agostinho

  • Avançado
  • ****
  • Mensagens: 277
    • Email
Problemas ScriptCase Versão 7.10 e PHP 5.4
« Online: Novembro 07, 2013, 02:45:09 pm »
Entrei no sistema, ele me pediu para atualizar e procedi como pediu, após atualizar para a versão nova meu SC não abriu mais devido a eu estar usando o PHP 5.3.3 e ele pediu a versao 5.4,até ai tudo bem, atualizei meu CentOS 6 e ele baixou a versão 5.4.21 e para meu espanto vem a mensagem dizendo que não funciona, me parece que tem que ser a versão  5.4 exata nada de futura release, o que eu acho um absurdo. mas enfim, gostaria de saber se esta correto isto e se tem como eu voltar a versao anterior.


Agostinho

saulobborges

  • Expert
  • *****
  • Mensagens: 1392
    • SGi Sistemas
    • Email
Re:Problemas ScriptCase Versão 7.10 e PHP 5.4
« Responder #1 Online: Novembro 07, 2013, 03:14:02 pm »
Atualizei meu SC hoje também uso PHP 5.3.3, esta tudo normal!

Kleyber

  • Expert
  • *****
  • Mensagens: 2232
    • Email
Re:Problemas ScriptCase Versão 7.10 e PHP 5.4
« Responder #2 Online: Novembro 07, 2013, 03:17:59 pm »
Agostinho,

Pelo que percebi a versão do PHP que vem com essa nova release é a 5.4.20.
Kleyber Derick

ITIL® V3 Foundation Certified
Analista de Sistemas
São Luís - Maranhão
www.tkinformidia.net

Agostinho

  • Avançado
  • ****
  • Mensagens: 277
    • Email
Re:Problemas ScriptCase Versão 7.10 e PHP 5.4
« Responder #3 Online: Novembro 07, 2013, 03:19:20 pm »
nao achei ela para baixar ainda, e pelo yum consegui pegar a 5.19, mas tambem nao deu certo, o ZendGuard eu peguei para a versao 5.4 e ja atulizei, mas nada de abrir o sc até agora


Agostinho

Agostinho

  • Avançado
  • ****
  • Mensagens: 277
    • Email
Re:Problemas ScriptCase Versão 7.10 e PHP 5.4
« Responder #4 Online: Novembro 07, 2013, 04:07:51 pm »
Alguem da Netmake, como devo proceder, só tenho a copia do sc7 anterior, mas nele ja tinha sido atualizado.....

marciogrulke

  • Iniciante
  • **
  • Mensagens: 80
    • Email
Re:Problemas ScriptCase Versão 7.10 e PHP 5.4
« Responder #5 Online: Novembro 07, 2013, 04:41:16 pm »
uso windows 2003, sql server 2005


removi versão anterior 7.1.09 e instalei esta versão nova mas SC não reconhece banco de dados de forma alguma da seguinte erro
quando tento gerar da seguinte erro:


o módulo do PHP responsável pela conexão com bases de dados mssql não está carregado. | Script: C:\Arquivos de programas\NetMake\v71\wwwroot\scriptcase\devel\compat\nm_select.class.php linha: 100

quando tento criar uma conexão da erro....

olhei php.ini extensão mssql esta ok habilitada

o que pode estar ocorrendo?

Agostinho

  • Avançado
  • ****
  • Mensagens: 277
    • Email
Re:Problemas ScriptCase Versão 7.10 e PHP 5.4
« Responder #6 Online: Novembro 07, 2013, 04:47:38 pm »
No meu caso uso linux, aqui bagunçou com tudo, os sistemas desenvolvidos e o ambiente de produção não abrem mais, não sei o que faze......

saulobborges

  • Expert
  • *****
  • Mensagens: 1392
    • SGi Sistemas
    • Email
Re:Problemas ScriptCase Versão 7.10 e PHP 5.4
« Responder #7 Online: Novembro 07, 2013, 09:25:03 pm »
Já respondi em outros tópicos, algum moderador poderia mesclar esses tópicos repetidos e concentrar em um só.

Segue meu diagnosis, uso Centos e não precisei fazer nada no pHP apenas atualizei a versão, com um detalhe quando o SC acusou erro de versão do PHP eu gerei uma nova licença e registri minha versão novamente além de reiniciar o apache e foi uma blz.



Uploaded with ImageShack.us

marciogrulke

  • Iniciante
  • **
  • Mensagens: 80
    • Email
Re:Problemas ScriptCase Versão 7.10 e PHP 5.4
« Responder #8 Online: Novembro 08, 2013, 04:32:09 am »
Fiz teste o único tipo conexão que ele esta aceitando para MS SQL é MS SQL ADO, o restante MS SQL, Nativo etc todos sem sussesso nenhum esta funcionando.

uso windows 2003 e MS SQL 2005 express

saulobborges

  • Expert
  • *****
  • Mensagens: 1392
    • SGi Sistemas
    • Email
Re:Problemas ScriptCase Versão 7.10 e PHP 5.4
« Responder #9 Online: Novembro 08, 2013, 07:28:49 am »
Fiz teste o único tipo conexão que ele esta aceitando para MS SQL é MS SQL ADO, o restante MS SQL, Nativo etc todos sem sussesso nenhum esta funcionando.

uso windows 2003 e MS SQL 2005 express

Pra testar o bug e ver onde se encontra o problema se no SC ou no apache ou versão do PHP seria bom criar um arquivo PHP a parte e tentar fazer a conexão, segue um exemplo, cole esse código em um arquivo texto salve com extensão php dentro da raiz do servidor web e veja se a conexão acontece.

Código: [Selecionar]
<?

$uid = "USUARIO_DO_BANCO";

$pwd = "SENHA";

$host = "ENDERECO_DO_SERVIDOR";

$dbsql = "NOME DO BANCO";

//Declaração do array
$connectionInfo = array( "UID"=>$uid, "PWD"=>$pwd, "Database"=>"NOME_DO_BANCO");


$conn = sqlsrv_connect( $host, $connectionInfo);

if( $conn === false ) {
echo "Unable to connect.</br>";
die( print_r( sqlsrv_errors(), true));

}
?>
« Última modificação: Novembro 08, 2013, 07:30:55 am por saulobborges »

saulobborges

  • Expert
  • *****
  • Mensagens: 1392
    • SGi Sistemas
    • Email
Re:Problemas ScriptCase Versão 7.10 e PHP 5.4
« Responder #10 Online: Novembro 08, 2013, 07:33:50 am »
http://msdn.microsoft.com/en-us/library/cc793139(SQL.90).aspx

No site acima tem uma boa explicação para configuração do SQL Server com PHP.

marciogrulke

  • Iniciante
  • **
  • Mensagens: 80
    • Email
Re:Problemas ScriptCase Versão 7.10 e PHP 5.4
« Responder #11 Online: Novembro 08, 2013, 11:49:19 am »
deu seguinte erro:

Unable to connect.
Array (
  • => Array (
  • => IMSSP [SQLSTATE] => IMSSP [1] => -49
    Código: [Selecionar]
    => -49 [2] => This extension requires the Microsoft SQL Server 2012 Native Client. Access the following URL to download the Microsoft SQL Server 2012 Native Client ODBC driver for x86: http://go.microsoft.com/fwlink/?LinkId=163712 [message] => This extension requires the Microsoft SQL Server 2012 Native Client. Access the following URL to download the Microsoft SQL Server 2012 Native Client ODBC driver for x86: http://go.microsoft.com/fwlink/?LinkId=163712 ) [1] => Array ( [0] => IM002 [SQLSTATE] => IM002 [1] => 0 [code] => 0 [2] => [Microsoft][ODBC Driver Manager] Nome da fonte de dados não encontrado e nenhum driver padrão especificado [message] => [Microsoft][ODBC Driver Manager] Nome da fonte de dados não encontrado e nenhum driver padrão especificado ) )[/li][/list]


    meu sql é 2005 não entendi ele se refere ao sql 2012

Agostinho

  • Avançado
  • ****
  • Mensagens: 277
    • Email
Re:Problemas ScriptCase Versão 7.10 e PHP 5.4
« Responder #12 Online: Novembro 08, 2013, 12:55:02 pm »
Saulo, eu uso o centos 6 64 bits, e nele eu apenas tinha atualizado o SC, ele simplesmente nao abria, com isto eu nao consigo nem entrar no sistema para gerar a nova senha, a solução paleativa que achei, foi instalar no windows e gerar a serial nova, dai pegar o banco de dados do SC no linux mais algumas pastas e pronto, tudo funcionando no windows. Na instalação do linux, nada até agora.